import pyb
from pyb import Pin,Timer,I2C
from ssd1306 import SSD1306
import _thread,time
from machine import Pin

display = SSD1306(pinout={'sda': 'PB7','scl': 'PB6'},height=64,external_vcc=False)

def funcA(sec):
	time.sleep(sec)
	i2c = I2C(1, I2C.MASTER, baudrate=100000)
	print("scan I2C",i2c.scan())
	time.sleep_ms(50)
	print("write 24C08 yd")
	i2c.mem_write('yd', 80, 0x10)
	time.sleep_ms(50)
	print("read 24C08",i2c.mem_read(2, 80, 0x10))
	time.sleep_ms(50)
	ONtimes=i2c.mem_read(1, 80, 0x14)
	x = int.from_bytes(ONtimes,'big')
	print("ONtimes",x)
	x=x+1
	b = x.to_bytes(1,'big')
	i2c.mem_write( b, 80, 0x14)
	try:
		display.poweron()
		display.init_display()
		display.draw_text(1,1,'24C08 TEST')
		display.draw_text(1,13,'24C08 times')
		display.draw_text(105,13,str(x-1))

		while True:
			display.display()
			time.sleep_ms(30)
	except Exception as ex:
		print('Unexpected error: {0}'.format(ex))

if __name__ == '__main__':
	_thread.start_new_thread(funcA, (1,))